package org.rcisoft.common.component;

import com.google.common.collect.Maps;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * Created with family.
 * author: cy
 * Date: 16/6/2
 * Time: 下午3:50
 * description: global config
 */
@Component
@Data
public class Global {


    /**
     * 保存全局属性值
     */
    static Map<String, String> map = Maps.newHashMap();



    /*服务器地址*/
    @Value("${global.other.server_url}")
    private String SERVER_URL;

    /*服务器保存图片路径*/
    @Value("${global.path.base_upload_server_location}")
    private String BASE_UPLOAD_SERVER_LOCATION;

    /*课程相关文件路径*/
    @Value("${global.path.course_location}")
    private String COURSE_LOCATION;

    /*lesson相关文件路径*/
    @Value("${global.path.lesson_location}")
    private String LESSON_LOCATION;

    /*sl相关文件路径*/
    @Value("${global.path.sl_location}")
    private String SL_LOCATION;

    /*服务器freemarker模板位置*/
    @Value("${global.path.freemarker_location}")
    private String FREEMARKER_LOCATION;

    /*服务器上传路径*/
    @Value("${global.path.image_location}")
    private String IMAGE_LOCATION;

    /*视频路径*/
    @Value("${global.path.video_location}")
    private String VIDEO_LOCATION;

    /*旧视频路径*/
    @Value("${global.path.temp_location}")
    private String TEMP_LOCATION;

    /*附件路径*/
    @Value("${global.path.file_location}")
    private String FILE_LOCATION;

    /*ppt路径*/
    @Value("${global.path.ppt_location}")
    private String PPT_LOCATION;

    /*pdf路径*/
    @Value("${global.path.pdf_location}")
    private String PDF_LOCATION;

    /*excel模板位置*/
    @Value("${global.path.excel_template_location}")
    private String EXCEL_TEMPLATE_LOCATION;

    /*课程封面路径*/
    @Value("${global.path.cource_logo_location}")
    private String COURSE_LOGO_LOCATION;

    /*课程代码路径*/
    @Value("${global.path.cource_code_location}")
    private String COURSE_CODE_LOCATION;

    /*课程工程代码路径*/
    @Value("${global.path.cource_project_location}")
    private String COURSE_PROJECT_LOCATION;

    /*图片路径*/
    @Value("${global.path.images_location}")
    private String IMAGES_LOCATION;

    /*课程默认图片路径*/
    @Value("${global.default_location.course}")
    private String DEFAULT_COURSE_LOCATION;

    /*默认学生头像路径*/
    @Value("${global.default_location.student}")
    private String DEFAULT_STUDENT_LOCATION;

    /*默认教师头像路径*/
    @Value("${global.default_location.teacher}")
    private String DEFAULT_TEACHER_LOCATION;

    /*默认轮播图路径*/
    @Value("${global.default_location.carousel}")
    private String DEFAULT_CAROUSEL_LOCATION;

    /*开课封面路径*/
    @Value("${global.path.lanch_logo_location}")
    private String LANCH_LOGO_LOCATION;

    /*mdtup*/
    @Value("${global.path.md_file_location}")
    private String MD_FILE_LOCATION;

    /*登录验证秘钥*/
    @Value("${jwt.login_secert_key}")
    private String LOGIN_SECERT_KEY;
    
    @Value("${jwt.header}")
    private String JWT_HEADER;
    
    @Value("${jwt.tokenHead}")
    private String JWT_TOKEN_HEAD;

    /*是否是服务器（为1代表是服务器）*/
    @Value("${global.other.is_server_linux}")
    private String IS_SERVER_LINUX;

    /*code长度限制*/
    @Value("${global.other.max_code_length}")
    private String MAX_CODE_LENGTH;

    /*gitlab学生账号前缀*/
    @Value("${global.git_lab.stu_prefix}")
    private String GIT_LAB_STU_PREFIX;

    /*gitlab教师账号前缀*/
    @Value("${global.git_lab.tea_prefix}")
    private String GIT_LAB_TEA_PREFIX;

    /*gitlab项目名前缀*/
    @Value("${global.git_lab.project_prefix}")
    private String GIT_LAB_PROJECT_PREFIX;

    /*gitlab默认分支*/
    @Value("${global.git_lab.defaul_branch}")
    private String GIT_LAB_DEFAUL_BRANCH;

    /*che启动延时*/
    @Value("${global.che.start_delay}")
    private String CHE_START_DELAY;

    /*che复制文件延时*/
    @Value("${global.che.copy_delay}")
    private String CHE_COPY_DELAY;

    /*workspace启动延时*/
    @Value("${global.che.ws_start_delay}")
    private String CHE_WS_START_DELAY;

    /*che关闭延时*/
    @Value("${global.che.stop_delay}")
    private String CHE_STOP_DELAY;

    /*che最大数量*/
    @Value("${global.che.max_number}")
    private String CHE_MAX_NUMBER;

    /*che启动时间*/
    @Value("${global.che.start_time}")
    private String CHE_START_TIME;

    /*che的ip*/
    @Value("${global.che.ip}")
    private String CHE_IP;

    /*che挂载目录*/
    @Value("${global.che.tmp_location}")
    private String CHE_TMP_LOCATION;

    /*git的ip*/
    @Value("${global.git_lab.ip}")
    private String GIT_LAB_IP;

    /*gitlab端口*/
    @Value("${global.git_lab.port}")
    private String GIT_LAB_PORT;



    /*password最小长度*/
    @Value("${global.password.min_password}")
    private String PASSWORD_MIN_PASSWORD;

    /*password最大长度*/
    @Value("${global.password.max_password}")
    private String PASSWORD_MAX_PASSWORD;

    /*che的配置模板路径*/
    @Value("${global.path.che_def_template_location}")
    private String CHE_DEF_TEMPLATE_LOCATION;

    /*che初始化项目目录*/
    @Value("${global.path.che_project_init_location}")
    private String CHE_PROJECT_INIT_LOCATION;

    /*管理员Code*/
    @Value("${global.code.admin}")
    private String adminCode;

    /*教师Code*/
    @Value("${global.code.teacher}")
    private String teacherCode;

    /*学生Code*/
    @Value("${global.code.student}")
    private String studentCode;


    /*java 单文件*/
    @Value("${global.code.java_simple}")
    private String javaSimple;

    /*java 工程*/
    @Value("${global.code.java_project}")
    private String javaProject;

    /*html 单文件*/
    @Value("${global.code.html_simple}")
    private String htmlSimple;

    /*html 工程*/
    @Value("${global.code.html_project}")
    private String htmlProject;
}
